import pygame, sys
from random import randint
import Gameplay
import init
import GUI

theme = 0

class Themes():

  ## @brief A function for running other files
  #  @details Executes another python file when this is selected, Given that the file is in same folder.
  #  @param runfilename The name of the file to be executed 
  def runfile(runfilename):
    with open(runfilename,"r") as rnf:
      exec(rnf.read())

  def themes(speed):
      lightBlue = (89,131,146)
      black1 = (48,47,47)
      white_green = (239,246,224)
      white = (255,255,255)
      lightR  = [220,128,128]
      lightB = [29,85,145]
    
      pygame.init()
      run = True
      while run:
          theme = pygame.display.set_mode((500, 500))
          theme.fill(white_green)
          mousepos = pygame.mouse.get_pos() #checking mouse position
          mouseclick = pygame.mouse.get_pressed()#checking mouse pressed
          pygame.display.set_caption("Snake 2.o")

          GUI.custom_text('Choose Your Theme',"Roboto-Light.ttf",45,[96,96,96],(70,50),theme)

          GUI.button(theme,lightBlue, [75,150,150,100], 0)
          GUI.custom_text('Regular',"Roboto-Light.ttf", 30,white_green,(95,180),theme)        
          if (75 <= mousepos[0] <= 75+150 and 150 <= mousepos[1] <= 150+100 ):
              if mouseclick[0] == 1:
                  Gameplay.game(speed, lightB,lightR, white)

          GUI.button(theme,black1, [280,150,150,100], 0)
          GUI.custom_text('Dark',"Roboto-Light.ttf", 30,white,(325,180),theme)        
          if (280 <= mousepos[0] <= 280+150 and 150 <= mousepos[1] <= 150+100 ):
              if mouseclick[0] == 1:
                  Gameplay.game(speed,white,[255,255,0],black1)

          GUI.button(theme,[255,255,255], [175,300,160,100], 0)
          GUI.custom_text('Random',"Roboto-Light.ttf", 30,[0, 0, 0],(200,330),theme)        
          if (180 <= mousepos[0] <= 180+160 and 315 <= mousepos[1] <= 315+100 ):
              if mouseclick[0] == 1:
                x = randint(0, 1)
                if(x == 1): Gameplay.game(speed,lightB,lightR,white)
                else: Gameplay.game(speed,white,[255,255,0],black1)
        
          pygame.display.update()

