## @file Colors.py
#  @author Andy Hameed
#  @brief Define color constants
#  @date 11/09/2018

import pygame
from random import randint

#initializing PyGame and setting game window dimensions
pygame.init()
screenSize = 500
win = pygame.display.set_mode((screenSize,screenSize))
pygame.display.set_caption("Snake")

#Define color constants
white = (255,255,255)
red = (255,0,0)
black1 = (1,22,30)
white_green = (239,246,224)
blue = (0,0,255)
black = (0,0,0)
lightBlue = (89,131,145)
darkgray = (100,100,100)
offwhite = (239, 245, 224)


# One size for all blocks created for snake
size = 20
grid_length = screenSize/size

#make initial position sit within the grid
x = randint(0, grid_length) * size
y = randint(0, grid_length) * size
